library("coda")
library("rbugs")
library("rjags")
library("R2WinBUGS")
library("dclone")
library("nlme")
library("MASS")

mean.hb.out<-Bias.hb.out<-MSE.hb.out<-sd.hb.out<-RB.hb.out<-0
cov99.hb.out<-cov98.hb.out<-cov95.hb.out<-cov90.hb.out<-0
domain99.hb.out<-domain98.hb.out<-domain95.hb.out<-domain90.hb.out<-0
outbound.hb.out<-0
MEAN.hb<-matrix(c(0),1000,9)

mean.dc.out<-Bias.dc.out<-MSE.dc.out<-sd.dc.out<-RB.dc.out<-0
cov99.dc.out<-cov98.dc.out<-cov95.dc.out<-cov90.dc.out<-0
domain99.dc.out<-domain98.dc.out<-domain95.dc.out<-domain90.dc.out<-0
outbound.dc.out<-0
MEAN.dc<-matrix(c(0),1000,9)

covp99.p.out<-covp98.p.out<-covp95.p.out<-covp90.p.out<-0
domain99.p.out<-domain98.p.out<-domain95.p.out<-domain90.p.out<-0

temp<-read.table("/home/torabi/ZIP/BiometricalJ/Rcode-SubmittedToBiometricalJournal/Simulation/mytask")
ttt.hb<-0
ttt.dc<-0
for(f in temp[,1]){
   path<-paste("/home/torabi/ZIP/BiometricalJ/Rcode-SubmittedToBiometricalJournal/Simulation/m1/",f,"/",sep="")
   load(file=paste(path,".RData",sep=""))
outbound.hb.out=outbound.hb.out+sum(outbound.hb)
outbound.dc.out=outbound.dc.out+sum(outbound.dc)

   print(paste(outbound.hb[f]))
if(outbound.hb[f]==0){ 
mean.hb.out= mean.hb.out+ mean.hb
Bias.hb.out=Bias.hb.out+Bias.hb
MSE.hb.out=MSE.hb.out+MSE.hb
sd.hb.out=sd.hb.out+sd.hb
RB.hb.out=RB.hb.out+RB.hb
cov99.hb.out=cov99.hb.out+covp99.hb
cov98.hb.out=cov98.hb.out+covp98.hb
cov95.hb.out=cov95.hb.out+covp95.hb
cov90.hb.out=cov90.hb.out+covp90.hb
domain99.hb.out=domain99.hb.out+domain99.hb
domain98.hb.out=domain98.hb.out+domain98.hb
domain95.hb.out=domain95.hb.out+domain95.hb
domain90.hb.out=domain90.hb.out+domain90.hb

ttt.hb<-ttt.hb+1
MEAN.hb[ttt.hb,]<-mean.hb
cat(f)
}

  print(paste(outbound.dc[f]))
if(outbound.dc[f]==0){ 
mean.dc.out= mean.dc.out+ mean.dc
Bias.dc.out=Bias.dc.out+Bias.dc
MSE.dc.out=MSE.dc.out+MSE.dc
sd.dc.out=sd.dc.out+sd.dc
RB.dc.out=RB.dc.out+RB.dc
cov99.dc.out=cov99.dc.out+covp99.dc
cov98.dc.out=cov98.dc.out+covp98.dc
cov95.dc.out=cov95.dc.out+covp95.dc
cov90.dc.out=cov90.dc.out+covp90.dc
domain99.dc.out=domain99.dc.out+domain99.dc
domain98.dc.out=domain98.dc.out+domain98.dc
domain95.dc.out=domain95.dc.out+domain95.dc
domain90.dc.out=domain90.dc.out+domain90.dc

covp99.p.out=covp99.p.out+covp99.p
covp98.p.out=covp98.p.out+covp98.p
covp95.p.out=covp95.p.out+covp95.p
covp90.p.out=covp90.p.out+covp90.p
domain99.p.out=domain99.p.out+domain99.p
domain98.p.out=domain98.p.out+domain98.p
domain95.p.out=domain95.p.out+domain95.p
domain90.p.out=domain90.p.out+domain90.p

ttt.dc<-ttt.dc+1
MEAN.dc[ttt.dc,]<-mean.dc
cat(f)
}

}
ttt.hb
ttt.dc
R=as.numeric(dim(temp)[1])
R
#-----------------------------HB------------------------
outbound.hb.out
R1.hb=R-outbound.hb.out
R1.hb

mean.hb.out.average=mean.hb.out/R1.hb
mean.hb.out.average

Bias.hb.out.average=Bias.hb.out/R1.hb
Bias.hb.out.average

MSE.hb.out.average=MSE.hb.out/R1.hb
MSE.hb.out.average

sd.hb.out.average=sd.hb.out/R1.hb
sd.hb.out.average
sd.hb.out.average^2

RB.hb.out.average=RB.hb.out/R1.hb
RB.hb.out.average

cov99.hb.out.average=cov99.hb.out/R1.hb
cov99.hb.out.average

cov98.hb.out.average=cov98.hb.out/R1.hb
cov98.hb.out.average

cov95.hb.out.average=cov95.hb.out/R1.hb
cov95.hb.out.average

cov90.hb.out.average=cov90.hb.out/R1.hb
cov90.hb.out.average

domain99.hb.out.average=domain99.hb.out/R1.hb
domain99.hb.out.average

domain98.hb.out.average=domain98.hb.out/R1.hb
domain98.hb.out.average

domain95.hb.out.average=domain95.hb.out/R1.hb
domain95.hb.out.average

domain90.hb.out.average=domain90.hb.out/R1.hb
domain90.hb.out.average
#---
AV.MEAN.hb<-apply(MEAN.hb[1:ttt.hb,],2,mean)
VAR.hb.beta.1<-mean((MEAN.hb[1:ttt.hb,1]-AV.MEAN.hb[1])^2)
VAR.hb.beta.2<-mean((MEAN.hb[1:ttt.hb,2]-AV.MEAN.hb[2])^2)
VAR.hb.beta.3<-mean((MEAN.hb[1:ttt.hb,3]-AV.MEAN.hb[3])^2)
VAR.hb.beta.4<-mean((MEAN.hb[1:ttt.hb,4]-AV.MEAN.hb[4])^2)
VAR.hb.gamma <-mean((MEAN.hb[1:ttt.hb,5] -AV.MEAN.hb[5])^2)
VAR.hb.sigmasq.1<-mean((MEAN.hb[1:ttt.hb,6]-AV.MEAN.hb[6])^2)
VAR.hb.sigmasq.2<-mean((MEAN.hb[1:ttt.hb,7]-AV.MEAN.hb[7])^2)
VAR.hb.sigmasq.3<-mean((MEAN.hb[1:ttt.hb,8]-AV.MEAN.hb[8])^2)
VAR.hb.sigmasq.4<-mean((MEAN.hb[1:ttt.hb,9]-AV.MEAN.hb[9])^2)

VAR.hb<-c(VAR.hb.beta.1,VAR.hb.beta.2,VAR.hb.beta.3,VAR.hb.beta.4,VAR.hb.gamma,VAR.hb.sigmasq.1,VAR.hb.sigmasq.2,VAR.hb.sigmasq.3,VAR.hb.sigmasq.4)

VAR.hb
#-----------------------------------DC------------------
outbound.dc.out
R1.dc=R-outbound.dc.out
R1.dc

mean.dc.out.average=mean.dc.out/R1.dc
mean.dc.out.average

Bias.dc.out.average=Bias.dc.out/R1.dc
Bias.dc.out.average

MSE.dc.out.average=MSE.dc.out/R1.dc
MSE.dc.out.average

sd.dc.out.average=sd.dc.out/R1.dc
sd.dc.out.average
sd.dc.out.average^2

RB.dc.out.average=RB.dc.out/R1.dc
RB.dc.out.average

cov99.dc.out.average=cov99.dc.out/R1.dc
cov99.dc.out.average

cov98.dc.out.average=cov98.dc.out/R1.dc
cov98.dc.out.average

cov95.dc.out.average=cov95.dc.out/R1.dc
cov95.dc.out.average

cov90.dc.out.average=cov90.dc.out/R1.dc
cov90.dc.out.average

domain99.dc.out.average=domain99.dc.out/R1.dc
domain99.dc.out.average

domain98.dc.out.average=domain98.dc.out/R1.dc
domain98.dc.out.average

domain95.dc.out.average=domain95.dc.out/R1.dc
domain95.dc.out.average

domain90.dc.out.average=domain90.dc.out/R1.dc
domain90.dc.out.average
#---
AV.MEAN.dc<-apply(MEAN.dc[1:ttt.dc,],2,mean)
VAR.dc.beta.1<-mean((MEAN.dc[1:ttt.dc,1]-AV.MEAN.dc[1])^2)
VAR.dc.beta.2<-mean((MEAN.dc[1:ttt.dc,2]-AV.MEAN.dc[2])^2)
VAR.dc.beta.3<-mean((MEAN.dc[1:ttt.dc,3]-AV.MEAN.dc[3])^2)
VAR.dc.beta.4<-mean((MEAN.dc[1:ttt.dc,4]-AV.MEAN.dc[4])^2)
VAR.dc.gamma <-mean((MEAN.dc[1:ttt.dc,5] -AV.MEAN.dc[5])^2)
VAR.dc.sigmasq.1<-mean((MEAN.dc[1:ttt.dc,6]-AV.MEAN.dc[6])^2)
VAR.dc.sigmasq.2<-mean((MEAN.dc[1:ttt.dc,7]-AV.MEAN.dc[7])^2)
VAR.dc.sigmasq.3<-mean((MEAN.dc[1:ttt.dc,8]-AV.MEAN.dc[8])^2)
VAR.dc.sigmasq.4<-mean((MEAN.dc[1:ttt.dc,9]-AV.MEAN.dc[9])^2)

VAR.dc<-c(VAR.dc.beta.1,VAR.dc.beta.2,VAR.dc.beta.3,VAR.dc.beta.4,VAR.dc.gamma,VAR.dc.sigmasq.1, VAR.hdc.sigmasq.2,VAR.dc.sigmasq.3,VAR.dc.sigmasq.4)

VAR.dc
#-------------------------------Prediction-----------------------------
cov99.p.out.average=cov99.p.out/R1.dc
cov99.p.out.average/(I*T)

cov98.p.out.average=cov98.p.out/R1.dc
cov98.p.out.average/(I*T)

cov95.p.out.average=cov95.p.out/R1.dc
cov95.p.out.average/(I*T)

cov90.p.out.average=cov90.p.out/R1.dc
cov90.p.out.average/(I*T)

domain99.p.out.average=domain99.p.out/R1.dc
domain99.p.out.average/(I*T)

domain98.p.out.average=domain98.p.out/R1.dc
domain98.p.out.average/(I*T)

domain95.p.out.average=domain95.p.out/R1.dc
domain95.p.out.average/(I*T)

domain90.p.out.average=domain90.p.out/R1.dc
domain90.p.out.average/(I*T)
#--------------------------------------------------------------------
